/** 繼承樣式 - select */
%search-rounded-border {
  @extend %input-rounded-border;

  padding: 12px 45px 12px 24px;
  border-radius: 8px;
}

/** select 主體 */
.default-select {
  @extend %input-rounded-border;
  &:focus {
    @extend %common-focus;

    .icon-arrow-down-gray {
      transition: 0.3s;
      transform: rotate(180deg);

      &.not-active {
        transition: 0.3s;
        transform: none;
      }
    }
  }
  &:not(:focus) {
    .icon-arrow-down-gray {
      transition: 0.3s;
    }
  }

  p {
    margin: 0;
  }

  &.placeholder {
    color: $gray-900;
  }
}

.select-menu.dropdown-menu {
  @include dropdown-rounded-border(24px, 24px, 24px);

  width: 300px;
  .input-item {
    position: relative;
    margin-bottom: 12px;
  }
  .dropdown-search {
    @extend %search-rounded-border;
    &:focus {
      @extend %common-focus;
    }
  }
  .dropdown-items {
    height: 144px;
    overflow: auto;
    .dropdown-item {
      @include select-rounded-border(5.5px, 8px, 8px);
      &:hover {
        background-color: rgb(55 92 166 / 10%);
      }
    }
  }
}
